## cmucl 2.4.8

=== Makefile ===
all:
	echo building
	(cd x86/lisp &&  make depend &&  make )
	lisp -batch -load do-build
	echo -e '(in-package :common-lisp-user)(load "finish")\n18a+ release x86-linux 2.4.7 6 November 1998 cvs\n' | ./x86/lisp/lisp -core x86/lisp/kernel.core
	x86/lisp/lisp -core lisp.core -load do-clx-clm-hem.lisp
	(cd x86/motif/server && make )
	(cd src/docs/ && make all)
	echo done building

no-docs:
	echo building
	(cd x86/lisp && touch Depends ;  make depend &&  make )
	lisp -batch -load do-build
	echo -e '(in-package :common-lisp-user)(load "finish")\n18a+ release x86-linux 2.4.7 6 November 1998 cvs\n' | ./x86/lisp/lisp -core x86/lisp/kernel.core
	x86/lisp/lisp -core lisp.core -load do-clx-clm-hem.lisp
	(cd x86/motif/server && make )

make-new:
	lisp -batch -load do-build
	echo -e '(in-package :common-lisp-user)(load "finish")\n18a+ release x86-linux 2.4.7 6 November 1998 cvs\n' | ./x86/lisp/lisp -core x86/lisp/kernel.core

install:
	echo installing
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-clx/usr/doc/cmucl-clx/ 
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-hemlock/usr/doc/cmucl-hemlock/
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-defsystem/usr/doc/cmucl-defsystem/
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-clm/usr/doc/cmucl-clm/
	install -g root -o root -m 0644 x86/contrib/defsystem/defsystem.x86f \
	$(DESTDIR)cmucl-defsystem/usr/lib/cmucl/subsystems/defsystem-library.x86f
	install -g root -o root -m 0644 own-work/copyright-defsystem \
	$(DESTDIR)cmucl-defsystem/usr/doc/cmucl-defsystem/copyright
#	install -g root -o root -m 0644 src/contrib/defsystem/defsystem.ps \
#	$(DESTDIR)cmucl-defsystem/usr/doc/cmucl/defsystem/
	install -g root -o root -m 0644 own-work/copyright-clx \
	$(DESTDIR)cmucl-clx/usr/doc/cmucl-clx/copyright
	install -g root -o root -m 0644 own-work/copyright-clm \
	$(DESTDIR)cmucl-clm/usr/doc/cmucl-clm/copyright
	install -g root -o root -m 0644 own-work/copyright-hemlock \
	$(DESTDIR)cmucl-hemlock/usr/doc/cmucl-hemlock/copyright
#	install -g root -o root -m 0644 src/docs/cmu-user/cmu-user \
#	$(DESTDIR)/usr/doc/cmucl/
	install -g root -o root -m 0644 src/docs/interface/internals.dvi \
	src/docs/interface/internals.ps src/docs/interface/toolkit.dvi \
	src/docs/interface/toolkit.ps own-work/clm/
	install -g root -o root -m 0644 lisp.core $(DESTDIR)tmp/usr/lib/cmucl
	install -g root -o root -m 0644 x86/lisp/kernel.core $(DESTDIR)tmp/usr/lib/cmucl/
	install -g root -o root -m 0755 x86/lisp/lisp $(DESTDIR)tmp/usr/bin/
	install -g root -o root -m 0644 own-work/config.lisp \
	$(DESTDIR)tmp/usr/lib/cmucl/
	install -g root -o root -m 0755 own-work/cmuclconfig $(DESTDIR)tmp/usr/sbin/
	install -g root -o root -m 0644 x86/lisp/lisp.nm x86/lisp/lisp.map \
	$(DESTDIR)tmp/usr/doc/cmucl/bin/
	install -g root -o root -m 0644 x86/clx/clx-library.x86f \
	$(DESTDIR)cmucl-clx/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0644 \
	 x86/hemlock/hemlock-library.x86f \
	$(DESTDIR)cmucl-hemlock/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0644 \
	x86/interface/clm-library.x86f  \
	$(DESTDIR)cmucl-clm/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0755 x86/motif/server/motifd \
	$(DESTDIR)cmucl-clm/usr/lib/cmucl/
	install -g root -o root -m 0644 \
	own-work/hemlock11.cursor own-work/hemlock11.mask  \
	$(DESTDIR)cmucl-hemlock/usr/lib/cmucl/
	install -g root -o root -m 0644 \
	own-work/site-init.lisp  \
	$(DESTDIR)tmp/var/lib/cmucl/
	ln -s /var/lib/cmucl/site-init.lisp $(DESTDIR)tmp/usr/lib/cmucl/
	echo done installing

clean:
	find x86* -name "*.x86f" -or -name "*.lbytef" -or -name "*.assem" -or -name "*.core" \
	| xargs rm ; true
	rm lisp.core ; true
	(cd src/docs/ && make clean )
	(cd x86/lisp && make clean)
	(cd x86/motif/server && make clean )
	echo cmucl is clean!

proper:
	find x86* -name "*.x86f" -or -name "*.lbytef" -or -name "*.assem" -or -name "*.core" \
	| xargs rm ; true
	rm lisp.core

=== src/docs/Makefile ===
all:
	(cd cmu-user && latex cmu-user && latex cmu-user ;  \
	dvips -o cmu-user.ps cmu-user.dvi ) 
	(cd interface && latex internals && latex internals && \
	latex toolkit && latex toolkit && dvips -o internals.ps \
	internals.dvi && dvips -o toolkit.ps toolkit.dvi)
	 
clean:
	find cmu-user interface  \
	-name "*.cb" -or -name ".idx" -or -name "*.aux" -or \
	-name "*.log" -or -name "*.tdx" -or -name "*.vdx" -or \
	-name "*.fdx" -or -name  "*.cdx" -or -name "*.dvi" -or \
	-name "*.toc"  -or -name "*.idx"  -or -name "*.ps" \
	| xargs rm ; true 
	
	rm -rf cmu-user/cmu-user interface/internals interface/toolkit

=== x86/lisp/Makefile ===
# $Header: /home/pvaneynd/cmucl/cvs2.cons.org/src/lisp/GNUmakefile,v 1.13 1997/06/07 15:25:37 pw Exp $

all: lisp.nm

CC = gcc

DEPEND_FLAGS =

include Config

ifndef GC_SRC
GC_SRC = gc.c
endif

SRCS = lisp.c coreparse.c alloc.c monitor.c print.c interr.c \
	vars.c parse.c interrupt.c search.c validate.c globals.c \
	dynbind.c breakpoint.c regnames.c backtrace.c save.c purify.c \
	socket.c runprog.c time.c \
	${ARCH_SRC} ${ASSEM_SRC} ${OS_SRC} ${GC_SRC}

OBJS = $(patsubst %.c,%.o,$(patsubst %.S,%.o,$(patsubst %.s,%.o,$(SRCS))))

### Don't look in RCS for the files, because we might not want the latest.
%: RCS/%,v

lisp.nm: lisp
	echo 'Map file for lisp version ' `cat version` > ,lisp.nm
	$(NM) lisp | grep -v " F \| U " >> ,lisp.nm
	mv ,lisp.nm lisp.nm

lisp: version.c ${OBJS} version
	echo '1 + ' `cat version` | bc | tail -n 1 | sed "s/
//g" > ,version
	mv -f ,version version
	$(CC) ${CFLAGS} -DVERSION=`cat version` -c $<
	$(CC) -g ${OS_LINK_FLAGS} -o ,lisp \
		${OBJS} version.o \
		${OS_LIBS} -lm 
	mv -f ,lisp lisp

version:
	echo 0 > version

### Socket.c needs to be compiled with UNIXCONN defined.
socket.o: socket.c
	$(COMPILE.c) -DUNIXCONN $<

internals.h:
	@echo "You must run genesis to create internals.h!"
	@false

clean:
	rm -f Depends *.o lisp lisp.nm core ; true
	touch Depends

depend: ${SRCS}
	$(CC) -MM -E ${DEPEND_FLAGS} ${CFLAGS} ${CPPFLAGS} $? > ,depends
	mv -f ,depends Depends

include Depends

=== debian/changelog ===
cmucl (2.4.8) frozen unstable; urgency=low

  * Recompiled for new libc.
  * Fixed clm buglet

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 16 Dec 1998 12:02:28 +0100

cmucl (2.4.7) frozen; urgency=low

  * Fixed a PCL bug
  * Fixed a critical errorchecking bug!

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 23 Oct 1998 12:13:00 +0200

cmucl (2.4.6) unstable; urgency=low

  * 
  * added high-security option.
  * now dh-make based.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:19:12 +0200

cmucl (2.4.5) unstable; urgency=low

  * fixed coerce
  * Completed glibc2 support
  * Hemlock now should work in tty-mode
  * Format ~t fix
  * psetq now returns nil
  * added more error-checking
  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  9 Jun 1998 09:42:31 +0200

cmucl (2.4.4) unstable; urgency=low

  * new upstream version. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  3 Jun 1998 15:03:17 +0200

cmucl (2.4.3) unstable; urgency=low

  * gray-stream support 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 22 May 1998 20:54:12 +0200

cmucl (2.4.2) unstable; urgency=low

  * removed wrong menu.ex file.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  2 May 1998 13:45:30 +0200

cmucl (2.4.1) unstable; urgency=low

  * -r
  * --help
  * 
  * deleted the html manuals because the image generation doesn't work.
  * fixed the hemlock problem. It turned out hemlock doesn't work with :bootstrap.
  * fixed the *features* after loading subsystems.
  * fixed the config.lisp script.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 22 Apr 1998 17:48:22 +0200

cmucl (2.4.0) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  4 Apr 1998 22:22:24 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cmucl
Section: devel
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 2.3.0.1

Package: cmucl
Architecture: i386
Provides: lisp-compiler
Depends: ${shlibs:Depends}
Description: The CMUCL lisp compiler and development system.
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger. It also contains cmuclconfig to configure
 in additional libraries.

Package: cmucl-clx
Architecture: i386
Depends: cmucl (>= 2.4.3)
Description: The CMUCL CLX library. An xlib like library for X.
 This package contains the clx library compiled for CMUCL. If you
 want you can use cmuclconfig to configure this library in a 
 custom lisp image.

Package: cmucl-hemlock
Architecture: i386
Depends: cmucl (>= 2.4.3) ,cmucl-clx
Description: Hemlock. An emacs clone for CMUCL.
 This package contains Hemlock, an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".

Package: cmucl-clm
Architecture: i386
Depends: ${shlibs:Depends}, cmucl (>= 2.4.3) 
Description: The Motif interface for CMUCL.
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstiff.
 .
 Included in this package is a X based replacement for the tty based
 debugger and inspector.

Package: cmucl-defsystem
Section: non-free/devel
Architecture: i386
Depends: cmucl (>= 2.4.3)
Description: The defsystem pachage.
 Non-free for the moment.
 .
 It provides a "make" type system for Lisp.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	make # CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages -pcmucl
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## cmucl 2.4.19

=== Makefile ===
RELEASE="release x86-linux 2.4.19 `date  "+%e %B %Y"` build `cat build`"
.PHONY : build clean proper 

IMAGE=./bin/lisp.core
LISP=lisp
LAZY=
#LAZY=-lazy

all:	clean
	(cd x86/lisp &&  make depend &&  make )
	make proper
	make select-small 
	make IMAGE=/usr/lib/cmucl/lisp-small.core make-new \
		&& mv lisp.core lisp-small.core
	make proper
	make select-safe
	make IMAGE=/usr/lib/cmucl/lisp-safe.core make-new \
		&& mv lisp.core lisp-safe.core
	make proper
	make select-normal
	make IMAGE=/usr/lib/cmucl/lisp-normal.core make-new \
 		&& mv lisp.core lisp-normal.core
	x86/lisp/lisp -core lisp-safe.core -load do-clx-clm-hem.lisp
	(cd x86/motif/server && make )
	(cd src/docs/ && make all)

build:
	expr  1 + `cat build` > build

make-new: build 
	$(LISP) $(LAZY) -batch -core $(IMAGE) -load do-build
	echo -e \
	'(in-package :common-lisp-user)(load "finish")\n'$(RELEASE)'\n' | \
		./x86/lisp/lisp -core x86/lisp/kernel.core
new-utils:
	./bin/lisp -core bin/lisp-safe.core -load do-clx-clm-hem.lisp
	(cd x86/motif/server && make )
	cp  x86/contrib/defsystem/defsystem.x86f \
             x86/clx/clx-library.x86f \
             x86/hemlock/hemlock-library.x86f \
             x86/interface/clm-library.x86f  \
             x86/motif/server/motifd \
             bin/

select-small:
	ln -sf setenv-small.lisp setenv.lisp

select-safe:
	ln -sf setenv-safe.lisp setenv.lisp

select-normal:
	ln -sf setenv-normal.lisp setenv.lisp

select-fast:
	ln -sf setenv-optimized.lisp setenv.lisp

quick:
	make proper
	make select-small
	./bin/lisp -batch -core ./bin/lisp-small.core -load do-build

new-gen:
	make proper
	make select-small
	make IMAGE=./bin/lisp-small.core LISP=./bin/lisp make-new
	mv lisp.core lisp-small.core
	make proper
	make select-safe
	make IMAGE=./bin/lisp-safe.core LISP=./bin/lisp make-new
	mv lisp.core bin/lisp-safe.core
	make proper
	make select-normal
	make IMAGE=./bin/lisp-normal.core LISP=./bin/lisp make-new
	mv lisp.core bin/lisp-normal.core
	mv lisp-*.core bin/
	cp x86/lisp/lisp bin/

install:
	echo installing
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-clx/usr/share/doc/cmucl-clx/ 
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-hemlock/usr/share/doc/cmucl-hemlock/
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-defsystem/usr/share/doc/cmucl-defsystem/
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-clm/usr/share/doc/cmucl-clm/
	install -g root -o root -m 0644 x86/contrib/defsystem/defsystem.x86f \
	$(DESTDIR)cmucl-defsystem/usr/lib/cmucl/subsystems/defsystem-library.x86f
	install -g root -o root -m 0644 own-work/copyright-defsystem \
	$(DESTDIR)cmucl-defsystem/usr/share/doc/cmucl-defsystem/copyright
	install -g root -o root -m 0644 src/contrib/defsystem/defsystem.ps \
	$(DESTDIR)cmucl-defsystem/usr/share/doc/cmucl/defsystem/
	install -g root -o root -m 0644 own-work/copyright-clx \
	$(DESTDIR)cmucl-clx/usr/share/doc/cmucl-clx/copyright
	install -g root -o root -m 0644 own-work/copyright-clm \
	$(DESTDIR)cmucl-clm/usr/share/doc/cmucl-clm/copyright
	install -g root -o root -m 0644 own-work/copyright-hemlock \
	$(DESTDIR)cmucl-hemlock/usr/share/doc/cmucl-hemlock/copyright
	install -g root -o root -m 0755 -d $(DESTDIR)usr/share/doc/cmucl/
	install -g root -o root -m 0755 -d own-work/clm
	install -g root -o root -m 0644 src/docs/interface/internals.dvi \
	src/docs/interface/internals.ps src/docs/interface/toolkit.dvi \
	src/docs/interface/toolkit.ps own-work/clm/
	install -g root -o root -m 0644 own-work/config.lisp \
	$(DESTDIR)tmp/usr/lib/cmucl/
	install -g root -o root -m 0755 own-work/cmuclconfig $(DESTDIR)tmp/usr/sbin/
	install -g root -o root -m 0644 x86/lisp/lisp.nm x86/lisp/lisp.map \
	$(DESTDIR)tmp/usr/share/doc/cmucl/bin/
	install -g root -o root -m 0644 x86/clx/clx-library.x86f \
	$(DESTDIR)cmucl-clx/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0644 \
	 x86/hemlock/hemlock-library.x86f \
	$(DESTDIR)cmucl-hemlock/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0644 \
	x86/interface/clm-library.x86f  \
	$(DESTDIR)cmucl-clm/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0755 x86/motif/server/motifd \
	$(DESTDIR)cmucl-clm/usr/lib/cmucl/
	install -g root -o root -m 0644 \
 	src/docs/interface/internals.dvi  src/docs/interface/internals.ps \
	src/docs/interface/toolkit.dvi  src/docs/interface/toolkit.ps \
	$(DESTDIR)cmucl-clm/usr/share/doc/cmucl-clm/
	install -g root -o root -m 0644 \
	own-work/hemlock11.cursor own-work/hemlock11.mask  \
	$(DESTDIR)cmucl-hemlock/usr/lib/cmucl/
	install -g root -o root -m 0644 \
	own-work/site-init.lisp  \
	$(DESTDIR)tmp/var/lib/cmucl/
	install -g root -o root -m 0644 own-work/lisp-config.lisp \
	$(DESTDIR)tmp/etc
	ln -s /var/lib/cmucl/site-init.lisp $(DESTDIR)tmp/usr/lib/cmucl/
	install -g root -o root -m 0644 lisp-small.core $(DESTDIR)cmucl-small/usr/lib/cmucl
	install -g root -o root -m 0644 lisp-safe.core $(DESTDIR)cmucl-safe/usr/lib/cmucl
	install -g root -o root -m 0644 lisp-normal.core $(DESTDIR)cmucl-normal/usr/lib/cmucl
	install -g root -o root -m 0755 x86/lisp/lisp $(DESTDIR)tmp/usr/bin/
	echo done installing

clean: proper
	rm lisp*.core ; true
	(cd src/docs/ && make clean )
	(cd x86/lisp && make clean)
	(cd x86/motif/server && make clean )

proper:
	find x86* -name "*.x86f" -or -name "*.lbytef" -or -name "*.assem" -or \
		-name "*.core" | xargs rm ; true
	rm -rf own-work/clm ; true
	find  . -name "*~" -or -name ".#*" | xargs rm ; true
	rm x86*/compile-*.log x86*/hemlock/spell-dictionary.bin ; true

=== src/docs/Makefile ===
all:
	(cd cmu-user && latex cmu-user && latex cmu-user ;  \
	dvips -o cmu-user.ps cmu-user.dvi ; latex2html cmu-user ) 
	(cd interface && latex internals && latex internals && \
	latex toolkit && latex toolkit && dvips -o internals.ps \
	internals.dvi && dvips -o toolkit.ps toolkit.dvi ; \
	latex2html internals ; latex2html toolkit )
	 
clean:
	find cmu-user interface  \
	-name "*.cb" -or -name ".idx" -or -name "*.aux" -or \
	-name "*.log" -or -name "*.tdx" -or -name "*.vdx" -or \
	-name "*.fdx" -or -name  "*.cdx" -or -name "*.dvi" -or \
	-name "*.toc"  -or -name "*.idx"  -or -name "*.ps" \
	| xargs rm ; true 
	rm TEST2.TMP DBM.tst.db ; true
	
	rm -rf cmu-user/cmu-user interface/internals interface/toolkit

=== debian/changelog ===
cmucl (2.4.19) frozen unstable; urgency=high

  * Fixed critical exp error. Now transcendental functions work again.
    Closes: #56876.
  * Abort on errors during recompile.
  * Remove old init.d file. Closes: #56716

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 26 Jan 2000 07:52:11 +0100

cmucl (2.4.18) frozen unstable; urgency=low

  * Improved hash tables.
  * Tries to run on 2.0.xx. Closes: #53304.
  * And with fall-back MAP_NORESERVE to avoid setting a global
    flag. Closes: #55093.
  * Now with lazy memory allocation. Closes: #33747.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Nov 1999 18:15:35 +0100

cmucl (2.4.17) unstable; urgency=low

  * Rebuild for new lesstif version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Oct 1999 23:40:10 +0200

cmucl (2.4.16) unstable; urgency=low

  * Moved to FHS.
  * added documentation about the differences with J13
    (closes: #42422).
  * moved to a new memorymap that gives us a bit more space: 1.75 GB.
  * added hemlock example init file
  * reviewed documentation
  * dtc and me wrote a direct syscall layer to the kernel. This 
    improves the mp-ness of lisp and is generaly faster.
  * upstream we added 64-bit foreign integers. llseek here we
    come...
  * moved defsystem to main. The new maintainer gave me
    permission to edit the copyright notice. A new release
    will have an even cleaner copyright, but isn't expected 
    soon.
  * fixed a cmuclconfig buglet, reported by william@tansao.live.com.au
  * fixed SA_SIGINFO warning message
  * now use gpg for signing...
  * Fixed as bug. Closes: #46675
  * added a init.d file to do the 2.2.x kernel overcommit stuff.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  7 Oct 1999 06:07:51 +0200

cmucl (2.4.15) unstable; urgency=low

  * removed references to non-existing info docs.
  * New upload due to gpg problems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Jul 1999 02:56:42 +0200

cmucl (2.4.14) frozen unstable; urgency=low

  * Now small also works on a {34}86
  * Added dpkg-bug workaround, bug #38822
  * Fixed config.sys bogus CMUCLLIB statement.
  * Fixed a string-stream buglet.
  * Added (partial) direct syscall support.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 25 May 1999 21:09:40 +0200

cmucl (2.4.13) frozen unstable; urgency=low

  * Made an error, will try to reupload
  * The error was good: I found an error in config.lisp. 
    One of the brown paper bag type :-(.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 10 May 1999 20:06:47 +0200

cmucl (2.4.12) frozen unstable; urgency=low

  * Nothing yet

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  5 May 1999 23:13:46 +0200

cmucl (2.4.11) frozen unstable; urgency=low

  * Fixed the dependencies :-(

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  4 May 1999 19:49:25 +0200

cmucl (2.4.10) frozen unstable; urgency=low

  * Splitted core in small/safe.
  * Fixed bug #34554: setfpucw reference removed.
  * Fixed misspellings
  * Fixed bug #33262: added depends of cmucl-clx on xfree86-common

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  1 Mar 1999 19:37:43 +0100

cmucl (2.4.9) frozen unstable; urgency=low

  * Fixed the defsystem copyright notice. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 21 Dec 1998 09:00:18 +0100

=== debian/control ===
Source: cmucl
Section: devel
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.0.0.0

Package: cmucl
Architecture: i386
Depends: ${shlibs:Depends}, cmucl-small | cmucl-safe | cmucl-normal | lisp-core
Provides: lisp-compiler
Description: The CMUCL lisp compiler and development system.
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger. It also contains cmuclconfig to configure
 in additional libraries.

Package: cmucl-safe
Architecture: i386
Depends: cmucl
Provides: lisp-core
Conflicts: cmucl (<= 2.4.9)
Description: A lisp core that is compiled with safe options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface. 
 .
 Having the safe options means that this image will do typechecking
 on all operations it can. It is designed to be very robust and is
 the suggested environment for beginners.
 .
 Note that this system is a lot slower than the fast core, and quite
 big.

Package: cmucl-small
Architecture: i386
Depends: cmucl
Provides: lisp-core
Conflicts: cmucl (<= 2.4.9)
Description: A lisp core that is compiled with small options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 Having the small options means that this image will do less
 typechecking, like the fast core. Note that this doesn't
 mean it will crash at random, it just means that it only
 does the checks it _has_ to do, and that the error messages
 sometimes are not so clear.
 .
 Also to reduce the memory use it will bytecompile some
 less-often used parts. The value of this in the late 1990's
 with cheap memory is debatable.
 .
 Beginners should use the safe core.

Package: cmucl-normal
Architecture: i386
Depends: cmucl
Provides: lisp-core
Conflicts: cmucl (<= 2.4.9)
Description: A lisp core that is compiled with the normal options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 This core is a vanilla lisp core, having nor the small, nor the 
 safe attributes. It is pretty close to the FreeBSD 18b release.
 .
 Beginners should use the safe core.

Package: cmucl-clx
Architecture: i386
Depends: cmucl (>= 2.4.10), xfree86-common
Description: The CMUCL CLX library. An xlib like library for X.
 This package contains the clx library compiled for CMUCL. If you
 want you can use cmuclconfig to configure this library in a 
 custom lisp image.

Package: cmucl-hemlock
Architecture: i386
Depends: cmucl (>= 2.4.10) ,cmucl-clx
Description: Hemlock. An emacs clone for CMUCL.
 This package contains Hemlock, an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".

Package: cmucl-clm
Architecture: i386
Depends: ${shlibs:Depends}, cmucl (>= 2.4.10) 
Description: The Motif interface for CMUCL.
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstif.
 .
 Included in this package is a X based replacement for the tty based
 debugger and inspector.

Package: cmucl-defsystem
Architecture: i386
Depends: cmucl (>= 2.4.10)
Description: The defsystem package.
 It provides a "make" type system for Lisp.

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,6 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-#	dh_installinit
 	dh_installcron
 	dh_installmanpages -pcmucl
 #	dh_undocumented
@@ -56,7 +55,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_md5sums
 	dh_builddeb

## cmucl 3.0.9

=== src/docs/Makefile ===
all:
	(cd cmu-user && latex cmu-user && latex cmu-user && latex cmu-user ;  \
	dvips -o cmu-user.ps cmu-user.dvi ;\
	rm cmu-user/images.* cmu-user/WARNINGS ; true ) 
	(cd interface && latex internals && latex internals && \
	latex internals && latex toolkit && latex toolkit && latex toolkit \
	&& dvips -o internals.ps internals.dvi \
	&& dvips -o toolkit.ps toolkit.dvi ; true )
	 
clean:
	find cmu-user interface  \
	-name "*.cb" -or -name ".idx" -or -name "*.aux" -or \
	-name "*.log" -or -name "*.tdx" -or -name "*.vdx" -or \
	-name "*.fdx" -or -name  "*.cdx" -or -name "*.dvi" -or \
	-name "*.toc"  -or -name "*.idx"  -or -name "*.ps" \
	| xargs rm ; true 
	rm TEST2.TMP DBM.tst.db ; true

=== x86/lisp/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/pvaneynd/cmucl/cvs2.cons.org/src/lisp/GNUmakefile,v 1.13 1997/06/07 15:25:37 pw Exp $
+# $Header: /home/CVS-cmucl/src/lisp/GNUmakefile,v 1.13 1997/06/07 15:25:37 pw Exp $
 
 all: lisp.nm
 
@@ -25,7 +25,7 @@
 
 lisp.nm: lisp
 	echo 'Map file for lisp version ' `cat version` > ,lisp.nm
-	$(NM) lisp | grep -v " F \| U " >> ,lisp.nm
+	$(NM) lisp | grep " t \| T \| D \| B " | grep -v "gcc_compiled\|Letext" >> ,lisp.nm
 	mv ,lisp.nm lisp.nm
 
 lisp: version.c ${OBJS} version

=== debian/changelog ===
cmucl (3.0.9) frozen unstable; urgency=low

  * bytecompiling is a word. Closes: #124509
  * Demos now work. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 30 Dec 2001 14:29:07 +0100

cmucl (3.0.8) frozen unstable; urgency=high

  * Fixed location of library. Closes: #123451
  * Fixed dependencies. Closes: #123458.
  * Updates *features* to pre-18d standard but without adding :cmu18d. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Dec 2001 07:09:21 +0100

cmucl (3.0.7) frozen unstable; urgency=high

  * Upstream update Closes: #122135
  * Reupload due to failure of .uk mirror, so still Closes: #116917, #110598

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  9 Dec 2001 22:04:51 +0100

cmucl (3.0.6) frozen unstable; urgency=high

  * Now cmuclconfig also handles normal cores.
  * cmucl-clm should work again...  Closes: #116917, #110598

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 21 Nov 2001 23:51:11 +0100

cmucl (3.0.5) frozen unstable; urgency=low

  * cmucl-source now depends on common-lisp-controller.
    Closes: #117259
  * Several upstream fixes.
  * Fixed Motif interface.
    Closes: #116917, #110598, #117934, #119469
  * Now includes the include directory.
    Closes: #119419

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 16 Nov 2001 23:32:26 +0100

cmucl (3.0.4) frozen unstable; urgency=low

  * Now 'ed' works again.
    Closes: #104120

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Aug 2001 15:48:46 +0200

cmucl (3.0.3) frozen unstable; urgency=low

  * Ed works. Fixes: #104120.
  * Added conclict against old package. Fixes: #104246
  * CLX fix. Bugreport from Iban HATCHONDO <hatchond@yahoo.fr>.
  * Disabled lazy mode. It fails randomly on 2.2 and always on 2.4.
    Further work is needed, but at the moment I have no time.
    Sort-of Fixes: #107473
  * Added more conflicts. Should: Fixes: #105561

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Aug 2001 11:34:46 +0200

cmucl (3.0.2) frozen unstable; urgency=low

  * Forgot to upgrade the version number!
  * Remove-defsystem now works.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  7 Jul 2001 15:07:35 +0200

cmucl (3.0.1) frozen unstable; urgency=low

  * Fixed *batch-mode* bug
  * Rebuild for dpkg-dev bug. Fixes: #96609,#97927,#98733,#100526,#96611,#99092,#86365,#97749,#76867.
  * Removed html documention: too painfull to build.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 12:08:32 +0200

cmucl (3.0.0) frozen unstable; urgency=low

  * General cleanup and integration with common-lisp-controller.
  * Pre-depends on a newer c-l-c. Fixes: #96609,#97927,#98733,#100526.
  * Now lazy by default. Fixes: #96611,#99092.
  * Still fixes: #76867.
  * Should contain less junk in site-init.lisp. Fixes: #86365.
  * 18c in *features*. Fixes: #97749.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Jun 2001 02:19:01 +0200

cmucl (2.5.2) frozen unstable; urgency=low

  * Hemlock now finally works.
  * Fixed herald. Fixes: #76867.
  * Still fixes: #71776.
  * Now small is called small in cmucl-script.sh (Fufie on #Lisp)
  * Fixed defsystem interaction 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  2 May 2001 22:05:38 +0200

cmucl (2.5.1) frozen unstable; urgency=high

  * Updated defsystem.
  * Numerous c-l-c bugfixes
  * Reversed broken patch. Fixes: #87075

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 22 Feb 2001 22:26:32 +0100

cmucl (2.5.0) unstable; urgency=high

  * Using common-lisp-controller
  * Updated to 18c platform.
  * Bugfix for non-keyword keyword arguments..
  * Locally is now a special form and should work properly.
  * Added documentation for building.
  * Fixed graphic character def.
  * Fixed the lazy option, the FreeBSD malloc patches broke it :-(.
  * Fixed the dependency problem by just giving up :-( Fixes: #71776.
  * The cmucl-source package should offer source level
    debugging. Fixes: #71100.
  * Removed cmu17 from *features*. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 30 Jan 2001 21:30:54 +0100

cmucl (2.4.22) unstable; urgency=high

  * subseq and compiler-warning fixes
  * Fixed dependencies
  * Fixed a lexical closure code generation bug
  * Updated map implementation 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  1 Oct 2000 08:33:06 +0200

cmucl (2.4.21) unstable; urgency=high

  * fixed build-depends stuff Closes: #70327, #70234
  * cmuclconfig now uses lazy. Closes: #66294
  * Make improvements. Closes: #67220
  * Updated base version, so should Closes: #67221
  * Seems fixed: Closes: #37318
  * made cmucl-clm depend on cmucl-clx. Closes: #69841
  * Some clos and stream enhancements
  * added -rdynamic flag
  * cmucl: fixed fp < operator: Closes: #71099
  * Skipped "official" gray-stream patch as it doesn't work
    for me :-(. Tired of trying to find out why..
  * time-related fixes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 10 Sep 2000 12:41:08 +0200

cmucl (2.4.20) unstable; urgency=high

  * Added the gray strean package
  * double escape character fix
  * fix for rationalize
  * #\ fix
  * cmuclconfig now can be used by non-root users to 
    generate custom lisp images.
  * Documentation generating checked. Closes: #58907.
  * User manual now works again. Closes: #59205.
  * Better manual page: Closes: #61136.
  * Fixed loop problem. Reported by Lyle Borg-Graham.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  5 Feb 2000 11:38:48 +0100

=== debian/control ===
Source: cmucl
Section: devel
Build-Depends: debhelper, lesstif-dev, tetex-extra, cmucl (>= 3.0.7), latex2html
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.5.6.0

Package: cmucl
Architecture: i386
Depends: ${shlibs:Depends}
Suggests: cmucl-small, cmucl-safe, cmucl-normal, ilisp
Pre-Depends: common-lisp-controller (>= 2.0)
Conflicts: cmucl-small (<= 3.0.7),cmucl-safe (<= 3.0.7),cmucl-normal (<= 3.0.7), cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
Provides: lisp-compiler
Description: The CMUCL lisp compiler and development system.
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger. It also contains cmuclconfig to configure
 in additional libraries.
 .
 NOTE: you also need to select one of the cores that 
 this package suggests!

Package: cmucl-safe
Architecture: i386
Depends: cmucl (>= 3.0.8)
Provides: lisp-core
Conflicts: cmucl (<= 3.0.7)
Description: A lisp core that is compiled with safe options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface. 
 .
 Having the safe options means that this image will do typechecking
 on all operations it can. It is designed to be very robust and is
 the suggested environment for beginners.
 .
 Note that this system is a lot slower than the fast core, and quite
 big.

Package: cmucl-small
Architecture: i386
Depends: cmucl (>= 3.0.8)
Provides: lisp-core
Conflicts: cmucl (<= 3.0.7)
Description: A lisp core that is compiled with small options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 Having the small options means that this image will do less
 typechecking, like the fast core. Note that this doesn't
 mean it will crash at random, it just means that it only
 does the checks it _has_ to do, and that the error messages
 sometimes are not so clear.
 .
 Also to reduce the memory use it will bytecompile some
 less-often used parts. The value of this in the late 1990's
 with cheap memory is debatable.
 .
 Beginners should use the safe core.

Package: cmucl-normal
Architecture: i386
Depends: cmucl (>= 3.0.8)
Provides: lisp-core
Conflicts: cmucl (<= 3.0.7)
Description: A lisp core that is compiled with the normal options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 This core is a vanilla lisp core, having nor the small, nor the 
 safe attributes. It is pretty close to the FreeBSD 18b release.
 .
 Beginners should use the safe core.

Package: cmucl-clm
Depends: cmucl (>= 3.0.8)
Architecture: i386
Conflicts: cmucl (<= 3.0.7)
Depends: ${shlibs:Depends}, cmucl (>= 3.0.8) , cmucl-source
Description: The Motif interface for CMUCL.
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstif.
 .
 Included in this package is a X based replacement for the tty based
 debugger and inspector.

Package: cmucl-source
Architecture: all
Depends: common-lisp-controller
Conflicts: cmucl (<= 3.0.7), cmucl-defsystem, cmucl-clx, cmucl-hemlock, cmucl-graystream
Replaces: cmucl-defsystem, cmucl-clx, cmucl-hemlock, cmucl-graystream
Description: The CMUCL lisp sources
 These are the CMUCL sources, provided so that the
 debugger can show useful source information at appropriate
 times.
 .
 This version includes common-lisp-controller compatible
 replacements for defsystem, graystream, clx and hemlock.
 .
 defsystem provides a "make" type system for Lisp. This is
 a patched version from clocc.
 .
 Gray streams are the usual Lisp streams, but re-implemented
 as a Object hierarchy. Users can subclass existing classes and 
 adapt them for their own needs.
 .
 cmucl-clx is the clx library adapted for CMUCL. clx is an
 interface to X11, just like xlib.
 .
 Hemlock is an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".
 .
 Note that to recompile CMUCL you need a working CMUCL system :-(

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# MAde with the aid of dh_make, by Craig Small
+# Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Cristoph Lameter.
 
@@ -48,6 +48,7 @@
 	dh_installmanpages -pcmucl
 #	dh_undocumented
 	dh_installchangelogs
+	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms

## cmucl 19a-release

=== src/docs/Makefile ===
all:
	(cd cmu-user && make cmu-user.ps ; make cmu-user.html ; make cmu-user.info ; make cmu-user.pdf ) 
	(cd internals && make design.pdf)
	(cd interface && latex internals && latex internals && \
	latex internals && latex toolkit && latex toolkit && latex toolkit \
	&& dvips -o internals.ps internals.dvi \
	&& dvips -o toolkit.ps toolkit.dvi ; true )

clean:
	find cmu-user interface  \
	-name "*.cb" -or -name ".idx" -or -name "*.aux" -or \
	-name "*.log" -or -name "*.tdx" -or -name "*.vdx" -or \
	-name "*.fdx" -or -name  "*.cdx" -or -name "*.dvi" -or \
	-name "*.toc"  -or -name "*.idx"  -or -name "*.ps"  -or \
	-name "*.html"  -or -name "*.??nd"  -or -name "*.gif" \
	 -or -name "*.htoc" -or -name "*.pdf" -or -name "*.?nd" \
	  -or -name "*.ilg" -or -name "*.out" -or -name "*.tmp" \
	   -or -name "*.haux" -or -name "*.info" \
	   -or -name "*.pdf" -or -name "*.info-*" \
	| xargs rm 2> /dev/null > /dev/null ||  true 
	rm internals/design/next_g.png internals/design/crossref.png \
	   internals/design/prev.png internals/design/up_g.png \
	   internals/design/up.png internals/design/prev_g.png \
	   internals/design/contents.png internals/design/next.png \
	   internals/design.dvi internals/design/WARNINGS \
	   internals/design/design.html internals/design/node*.html \
	   internals/design/images.* internals/design/node*.html \
	   internals/design/*.pl  internals/design/*.css \
	   internals/design/index.html internals/design/*.log \
	   internals/design/*.aux internals/design/*.out \
	   internals/design/*.toc internals/design.pdf \
	   2> /dev/null > /dev/null ; true
	rmdir internals/design 2> /dev/null > /dev/null ; true

## cmucl 19c-release

=== src/docs/cmu-user/Makefile ===
# -*- makefile -*-
#
#
# This Makefile contains rules for converting the LaTeX sources of the
# CMUCL User's Manual into various formats: Postscript, PDF, DVI, HTML
# and info. The useful targets are:
#
#    make cmu-user.ps           (A4 paper)
#    make cmu-user-letter.ps    (letter paper)
#    make cmu-user.dvi
#    make cmu-user.pdf
#    make cmu-user.html
#    make cmu-user.info
#    make clean

# A number of addon LaTeX packages are used in the manual, to support
# features such as hyperlinks and multiple indexes. A current
# distribution of teTeX contains everything that is necessary to
# generate the Postscript, PDF and DVI formats. HTML output is
# generated using the Hevea tool, which is available from
# <URL:http://pauillac.inria.fr/~maranget/hevea/>. The HTML files are
# then split into sections using the hacha tool (distributed with
# hevea), and cleaned up using tidy.
#
# The generated DVI file should include clickable hyperlinks. The PDF
# output should include a hyperlinked table of contents, hyperlinked
# cross-references, and an index. The generated Postscript should use
# Postscript fonts that give good quality output at high resolutions.


SHELL = /bin/sh
LATEX ?= latex
BIBTEX ?= bibtex
PDFLATEX ?= pdflatex
HEVEA ?= hevea
HACHA ?= hacha
TIDY ?= tidy

FILES = *.tex

.SUFFIXES: 
.SUFFIXES: .tex .dvi .ps .ps1 .pdf .html .info


all: cmu-user.ps


# Runs LaTeX once, then reruns LaTeX as many times as necessary to get
# rid of the "undefined references" message, generates the indexes,
# the reruns LaTeX. The dependency on the .tex files means that the
# DVI file will be rebuilt only if one of the included LaTeX files has
# been modified.
%.dvi : %.tex $(FILES)
	$(LATEX) $<
	@while ( grep Rerun $*.log > /dev/null ); do \
	   $(LATEX) $<; \
	done
	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi

	$(LATEX) $<

%.pdf : %.tex $(FILES)
	$(PDFLATEX) $<
	@while ( grep Rerun $*.log > /dev/null ); do \
	   $(PDFLATEX) $<; \
	done
	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi
	$(PDFLATEX) $<

# the "-fix" option to hevea makes it run as many times as necessary
# to resolve all cross-references and generate an index.
%.html : %.tex $(FILES)
	$(HEVEA) -fix cmu-user.hva $<
	$(HACHA) -tocbis $@
	-$(TIDY) -m *.html

%.info : %.tex $(FILES)
	$(HEVEA) -fix -info cmu-user.hva $<

%.ps1 : %.dvi 
	dvips -o $@ $<

# convert the Postscript file to duplex (will print double-sided if
# the printer supports it)
%.ps : %.ps1
	psset -d -o $@ $<

# generate Postscript for letter format, instead of for A4 paper
.INTERMEDIATE: cmu-user-letter.tex
cmu-user-letter.tex: cmu-user.tex
	cp $< $@
	perl -pi -e 's/documentclass\[a4paper\]/documentclass\[letter\]/' $@


clean:
	rm -f *.log *.bbl *.blg *.ps *.pdf *.aux *.lof *.toc *.gif *.out *.ilg
	rm -f *.vdx *.cdx *.tdx *.fdx *.idx *.cnd *.fnd *.tnd *.vnd *.haux
	rm -f *.html *.hcnd *.htnd *.hvnd *.hfnd *.htoc

index:
	makeindex cmu-user.tdx -o cmu-user.tnd
	makeindex cmu-user.vdx -o cmu-user.vnd
	makeindex cmu-user.fdx -o cmu-user.fnd
	makeindex cmu-user.cdx -o cmu-user.cnd

index-letter:
	makeindex cmu-user-letter.tdx -o cmu-user-letter.tnd
	makeindex cmu-user-letter.vdx -o cmu-user-letter.vnd
	makeindex cmu-user-letter.fdx -o cmu-user-letter.fnd
	makeindex cmu-user-letter.cdx -o cmu-user-letter.cnd

.PHONY: clean index

# EOF

## cmucl 19d

=== src/docs/cmu-user/Makefile ===
--- 
+++ 
@@ -85,6 +85,12 @@
 %.ps : %.ps1
 	psset -d -o $@ $<
 
+# Tar up the html files
+cmu-user-html.tgz : cmu-user.html
+	mkdir cmu-user
+	cp *.html *.gif cmu-user
+	tar cf - cmu-user | gzip > cmu-user-html.tgz
+
 # generate Postscript for letter format, instead of for A4 paper
 .INTERMEDIATE: cmu-user-letter.tex
 cmu-user-letter.tex: cmu-user.tex
